Skip to main content

Create Resident: Propertyware REST

POSThttps://api.propexo.com/v1/residents/propertyware_rest/
MethodInterface
POST /v1/contactsContacts
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    first_namestringrequired

    The first name associated with the resident

    Possible values: <= 30 characters

    last_namestringrequired

    The last name associated with the resident

    Possible values: <= 30 characters

    address_1stringrequired

    The first address line associated with the resident

    countrystringrequired

    The country associated with the resident

    Show 2 variants
    • stringUnited StatesCanada
    • string
    citystringrequired

    The city associated with the resident

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    middle_namestring

    The middle name associated with the resident

    Possible values: <= 30 characters

    email_1string<email>

    The primary email address associated with the resident

    email_2string<email>

    The secondary email address associated with the resident

    date_of_birthstring<date-time>

    The date of birth associated with the resident

    address_2string

    The second address line associated with the resident

    phone_1string

    Primary phone number associated with the resident

    phone_2string

    Secondary phone number associated with the resident

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    notesstring

    Notes associated with the resident

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    first_namestringrequired

    The first name associated with the resident

    Possible values: <= 30 characters

    last_namestringrequired

    The last name associated with the resident

    Possible values: <= 30 characters

    address_1stringrequired

    The first address line associated with the resident

    countrystringrequired

    The country associated with the resident

    Show 2 variants
    • stringUnited StatesCanada
    • string
    citystringrequired

    The city associated with the resident

    statestringrequired

    The state associated with the resident

    zipstringrequired

    The zip code associated with the resident

    middle_namestring | nullnullablerequired

    The middle name associated with the resident

    Possible values: <= 30 characters

    email_1(string | null)<email>nullablerequired

    The primary email address associated with the resident

    email_2(string | null)<email>nullablerequired

    The secondary email address associated with the resident

    date_of_birth(string | null)<date-time>nullablerequired

    The date of birth associated with the resident

    address_2string | nullnullablerequired

    The second address line associated with the resident

    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    notesstring | nullnullablerequired

    Notes associated with the resident

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/residents/propertyware_rest/
curl -X POST https://api.propexo.com/v1/residents/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"country": "United States",
"city": "string",
"state": "string",
"zip": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"country": "United States",
"city": "string",
"state": "string",
"zip": "string",
"middle_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_2": "string",
"phone_1": "string",
"phone_2": "string",
"phone_1_type": "FAX",
"phone_2_type": "FAX",
"notes": "string"
}
}